FAQ
Edit report at http://pear.php.net/bugs/bug.php?id=16366&edit=1

ID: 16366
Comment by: adam@oit.gatech.edu
Reported By: adam at oit dot gatech dot edu
Summary: compiling 5.2.10 leads to non-functioning pear
Status: Open
Type: Bug
Package: pearweb
Operating System: Solaris 9
Package Version: Unknown
PHP Version: 5.2.10
Roadmap Versions:
New Comment:

Compile options (with gcc 3.4.6):

CC=gcc \
export
LD_LIBRARY_PATH=/usr/local/ssl/lib:/opt/services/amp/lib:/usr/local/lib
export
PATH=/opt/SUNWspro/bin:/usr/ccs/bin:/usr/sbin:/usr/bin:/local/ssl/bin:/usr/xpg4/bin/:/services/mysql/bin:/opt/services/amp/bin:/usr/local/bin
export LDFLAGS="-R/opt/services/amp/lib -L/opt/services/amp/lib
-R/usr/local/ssl/lib -L/usr/local/ssl/lib -R/usr/local/lib
-L/usr/local/lib"
export CFLAGS="-R/opt/services/amp/lib -L/opt/services/amp/lib
-R/usr/local/ssl/lib -L/usr/local/ssl/lib -R/usr/local/lib
-L/usr/local/lib"
SSL_BASE=/opt/local/ssl \
./configure \
--with-apxs2=/opt/services/amp/apache2/bin/apxs \
--prefix=/opt/services/amp/apache2/php \
--with-config-file-path=/opt/services/amp/apache2/php/lib \
--with-mysql=/services/mysql \
--with-mysqli=/services/mysql/bin/mysql_config \
--with-ldap=/usr/local/ldap \
--with-mcrypt \
--with-curl=/opt/services/amp \
--with-openssl \
--with-gd \
--with-zlib=/usr/local \
--enable-mbstring \
--with-xsl=/opt/services/amp \
--with-libxml-dir=/opt/services/amp \
--with-jpeg-dir=/usr/local \
--with-png-dir=/usr/local \
--with-freetype-dir=/usr/local \
--enable-libgcc


Previous Comments:
------------------------------------------------------------------------

[2009-06-22 20:04:13] adam_a

Description:
------------
compiling php 5.2.10 with pear support leads to warnings on install
and
non-functional pear. Compilation of php 5.2.9 on same box with same
config options gives working pear.


Test script:
---------------
make install in source directory produces errors like:

Warning: Cannot use a scalar value as an array in
phar://install-pear-nozlib.phar/PEAR/ChannelFile.php on line 1391

running "pear install DB" produces the error:

pear.php.net is using a unsupported protocal - This should never
happen.

------------------------------------------------------------------------

Search Discussions

  • Helgith at Jun 22, 2009 at 6:47 pm
    Edit report at http://pear.php.net/bugs/bug.php?id=16366&edit=1

    ID: 16366
    Updated by: helgith@gmail.com
    Reported By: adam at oit dot gatech dot edu
    Summary: compiling 5.2.10 leads to non-functioning pear
    Status: Open
    Type: Bug
    -Package: pearweb
    +Package: PEAR
    Operating System: Solaris 9
    Package Version: Unknown
    PHP Version: 5.2.10
    Roadmap Versions:
    New Comment:

    -Package: pearweb
    +Package: PEAR



    Previous Comments:
    ------------------------------------------------------------------------

    [2009-06-22 20:07:27] adam_a

    Compile options (with gcc 3.4.6):

    CC=gcc \
    export
    LD_LIBRARY_PATH=/usr/local/ssl/lib:/opt/services/amp/lib:/usr/local/lib
    export
    PATH=/opt/SUNWspro/bin:/usr/ccs/bin:/usr/sbin:/usr/bin:/local/ssl/bin:/usr/xpg4/bin/:/services/mysql/bin:/opt/services/amp/bin:/usr/local/bin
    export LDFLAGS="-R/opt/services/amp/lib -L/opt/services/amp/lib
    -R/usr/local/ssl/lib -L/usr/local/ssl/lib -R/usr/local/lib
    -L/usr/local/lib"
    export CFLAGS="-R/opt/services/amp/lib -L/opt/services/amp/lib
    -R/usr/local/ssl/lib -L/usr/local/ssl/lib -R/usr/local/lib
    -L/usr/local/lib"
    SSL_BASE=/opt/local/ssl \
    ./configure \
    --with-apxs2=/opt/services/amp/apache2/bin/apxs \
    --prefix=/opt/services/amp/apache2/php \
    --with-config-file-path=/opt/services/amp/apache2/php/lib \
    --with-mysql=/services/mysql \
    --with-mysqli=/services/mysql/bin/mysql_config \
    --with-ldap=/usr/local/ldap \
    --with-mcrypt \
    --with-curl=/opt/services/amp \
    --with-openssl \
    --with-gd \
    --with-zlib=/usr/local \
    --enable-mbstring \
    --with-xsl=/opt/services/amp \
    --with-libxml-dir=/opt/services/amp \
    --with-jpeg-dir=/usr/local \
    --with-png-dir=/usr/local \
    --with-freetype-dir=/usr/local \
    --enable-libgcc

    ------------------------------------------------------------------------

    [2009-06-22 20:04:13] adam_a

    Description:
    ------------
    compiling php 5.2.10 with pear support leads to warnings on install
    and
    non-functional pear. Compilation of php 5.2.9 on same box with same
    config options gives working pear.


    Test script:
    ---------------
    make install in source directory produces errors like:

    Warning: Cannot use a scalar value as an array in
    phar://install-pear-nozlib.phar/PEAR/ChannelFile.php on line 1391

    running "pear install DB" produces the error:

    pear.php.net is using a unsupported protocal - This should never
    happen.

    ------------------------------------------------------------------------
  • Cweiske at Jun 23, 2009 at 2:14 pm
    Edit report at http://pear.php.net/bugs/bug.php?id=16366&edit=1

    ID: 16366
    Updated by: cweiske@php.net
    Reported By: adam at oit dot gatech dot edu
    Summary: compiling 5.2.10 leads to non-functioning pear
    Status: Open
    Type: Bug
    Package: PEAR
    Operating System: Solaris 9
    PHP Version: 5.2.10
    Roadmap Versions:
    New Comment:

    User "phiber_" experienced this on 5.2.10 and 5.2.9 on centos. adam_a
    only on 5.2.10, not on 5.2.9, and all this on solaris.

    Brett Bieber and Bjori could not reproduce it at all.


    Previous Comments:
    ------------------------------------------------------------------------

    [2009-06-22 20:45:08] dufuz

    -Package: pearweb
    +Package: PEAR


    ------------------------------------------------------------------------

    [2009-06-22 20:07:27] adam_a

    Compile options (with gcc 3.4.6):

    CC=gcc \
    export
    LD_LIBRARY_PATH=/usr/local/ssl/lib:/opt/services/amp/lib:/usr/local/lib
    export
    PATH=/opt/SUNWspro/bin:/usr/ccs/bin:/usr/sbin:/usr/bin:/local/ssl/bin:/usr/xpg4/bin/:/services/mysql/bin:/opt/services/amp/bin:/usr/local/bin
    export LDFLAGS="-R/opt/services/amp/lib -L/opt/services/amp/lib
    -R/usr/local/ssl/lib -L/usr/local/ssl/lib -R/usr/local/lib
    -L/usr/local/lib"
    export CFLAGS="-R/opt/services/amp/lib -L/opt/services/amp/lib
    -R/usr/local/ssl/lib -L/usr/local/ssl/lib -R/usr/local/lib
    -L/usr/local/lib"
    SSL_BASE=/opt/local/ssl \
    ./configure \
    --with-apxs2=/opt/services/amp/apache2/bin/apxs \
    --prefix=/opt/services/amp/apache2/php \
    --with-config-file-path=/opt/services/amp/apache2/php/lib \
    --with-mysql=/services/mysql \
    --with-mysqli=/services/mysql/bin/mysql_config \
    --with-ldap=/usr/local/ldap \
    --with-mcrypt \
    --with-curl=/opt/services/amp \
    --with-openssl \
    --with-gd \
    --with-zlib=/usr/local \
    --enable-mbstring \
    --with-xsl=/opt/services/amp \
    --with-libxml-dir=/opt/services/amp \
    --with-jpeg-dir=/usr/local \
    --with-png-dir=/usr/local \
    --with-freetype-dir=/usr/local \
    --enable-libgcc

    ------------------------------------------------------------------------

    [2009-06-22 20:04:13] adam_a

    Description:
    ------------
    compiling php 5.2.10 with pear support leads to warnings on install
    and
    non-functional pear. Compilation of php 5.2.9 on same box with same
    config options gives working pear.


    Test script:
    ---------------
    make install in source directory produces errors like:

    Warning: Cannot use a scalar value as an array in
    phar://install-pear-nozlib.phar/PEAR/ChannelFile.php on line 1391

    running "pear install DB" produces the error:

    pear.php.net is using a unsupported protocal - This should never
    happen.

    ------------------------------------------------------------------------
  • Helgith at Jun 28, 2009 at 9:59 pm
    Edit report at http://pear.php.net/bugs/bug.php?id=16366&edit=1

    ID: 16366
    Updated by: helgith@gmail.com
    Reported By: adam at oit dot gatech dot edu
    Summary: compiling 5.2.10 leads to non-functioning pear
    Status: Open
    Type: Bug
    Package: PEAR
    Operating System: Solaris 9
    PHP Version: 5.2.10
    Roadmap Versions:
    New Comment:

    Which libxml2 do the users that have issues?


    Previous Comments:
    ------------------------------------------------------------------------

    [2009-06-23 16:12:33] cweiske

    User "phiber_" experienced this on 5.2.10 and 5.2.9 on centos. adam_a
    only on 5.2.10, not on 5.2.9, and all this on solaris.

    Brett Bieber and Bjori could not reproduce it at all.

    ------------------------------------------------------------------------

    [2009-06-22 20:45:08] dufuz

    -Package: pearweb
    +Package: PEAR


    ------------------------------------------------------------------------

    [2009-06-22 20:07:27] adam_a

    Compile options (with gcc 3.4.6):

    CC=gcc \
    export
    LD_LIBRARY_PATH=/usr/local/ssl/lib:/opt/services/amp/lib:/usr/local/lib
    export
    PATH=/opt/SUNWspro/bin:/usr/ccs/bin:/usr/sbin:/usr/bin:/local/ssl/bin:/usr/xpg4/bin/:/services/mysql/bin:/opt/services/amp/bin:/usr/local/bin
    export LDFLAGS="-R/opt/services/amp/lib -L/opt/services/amp/lib
    -R/usr/local/ssl/lib -L/usr/local/ssl/lib -R/usr/local/lib
    -L/usr/local/lib"
    export CFLAGS="-R/opt/services/amp/lib -L/opt/services/amp/lib
    -R/usr/local/ssl/lib -L/usr/local/ssl/lib -R/usr/local/lib
    -L/usr/local/lib"
    SSL_BASE=/opt/local/ssl \
    ./configure \
    --with-apxs2=/opt/services/amp/apache2/bin/apxs \
    --prefix=/opt/services/amp/apache2/php \
    --with-config-file-path=/opt/services/amp/apache2/php/lib \
    --with-mysql=/services/mysql \
    --with-mysqli=/services/mysql/bin/mysql_config \
    --with-ldap=/usr/local/ldap \
    --with-mcrypt \
    --with-curl=/opt/services/amp \
    --with-openssl \
    --with-gd \
    --with-zlib=/usr/local \
    --enable-mbstring \
    --with-xsl=/opt/services/amp \
    --with-libxml-dir=/opt/services/amp \
    --with-jpeg-dir=/usr/local \
    --with-png-dir=/usr/local \
    --with-freetype-dir=/usr/local \
    --enable-libgcc

    ------------------------------------------------------------------------

    [2009-06-22 20:04:13] adam_a

    Description:
    ------------
    compiling php 5.2.10 with pear support leads to warnings on install
    and
    non-functional pear. Compilation of php 5.2.9 on same box with same
    config options gives working pear.


    Test script:
    ---------------
    make install in source directory produces errors like:

    Warning: Cannot use a scalar value as an array in
    phar://install-pear-nozlib.phar/PEAR/ChannelFile.php on line 1391

    running "pear install DB" produces the error:

    pear.php.net is using a unsupported protocal - This should never
    happen.

    ------------------------------------------------------------------------

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
grouppear-bugs @
categoriesphp
postedJun 22, '09 at 6:09p
activeJun 28, '09 at 9:59p
posts4
users3
websitepear.php.net

3 users in discussion

Helgith: 2 posts Cweiske: 1 post Adam: 1 post

People

Translate

site design / logo © 2021 Grokbase